"""
/*
 * This file is part of the pypicohsm distribution (https://github.com/polhenarejos/pypicohsm).
 * Copyright (c) 2022 Pol Henarejos.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
"""

class OID:
    SHA1    = b'\x2A\x86\x48\x86\xF7\x0D\x02\x07'
    SHA224  = b'\x2A\x86\x48\x86\xF7\x0D\x02\x08'
    SHA256  = b'\x2A\x86\x48\x86\xF7\x0D\x02\x09'
    SHA384  = b'\x2A\x86\x48\x86\xF7\x0D\x02\x0A'
    SHA512  = b'\x2A\x86\x48\x86\xF7\x0D\x02\x0B'

    HKDF_SHA256 = b'\x2A\x86\x48\x86\xF7\x0D\x01\x09\x10\x03\x1D'
    HKDF_SHA384 = b'\x2A\x86\x48\x86\xF7\x0D\x01\x09\x10\x03\x1E'
    HKDF_SHA512 = b'\x2A\x86\x48\x86\xF7\x0D\x01\x09\x10\x03\x1F'

    PBKDF2      = b'\x2A\x86\x48\x86\xF7\x0D\x01\x05\x0C'

    KDF_X963    = b'\x2B\x81\x05\x10\x86\x48\x3F'

    RSA     = b'\x00\x0A\x04\x00\x7F\x00\x07\x02\x02\x02\x01\x02'
    EC      = b'\x00\x0A\x04\x00\x7F\x00\x07\x02\x02\x02\x02\x03'
    AES     = b'\x00\x08\x60\x86\x48\x01\x65\x03\x04\x01'

    CHACHAPOLY      = b'\x2A\x86\x48\x86\xF7\x0D\x01\x09\x10\x03\x12'

    AES128_ECB      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x01'
    AES128_CBC      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x02'
    AES128_OFB      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x03'
    AES128_CFB      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x04'
    AES128_GCM      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x06'
    AES128_CCM      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x07'
    AES128_CTR      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x09'

    AES192_ECB      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x15'
    AES192_CBC      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x16'
    AES192_OFB      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x17'
    AES192_CFB      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x18'
    AES192_GCM      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x1A'
    AES192_CCM      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x1B'
    AES192_CTR      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x1D'

    AES256_ECB      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x29'
    AES256_CBC      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x2A'
    AES256_OFB      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x2B'
    AES256_CFB      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x2C'
    AES256_GCM      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x2E'
    AES256_CCM      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x2F'
    AES256_CTR      = b'\x60\x86\x48\x01\x65\x03\x04\x01\x31'

    AES128_XTS      = b'\x2B\x6F\x02\x8C\x53\x00\x00\x01\x01'
    AES256_XTS      = b'\x2B\x6F\x02\x8C\x53\x00\x00\x01\x02'

    HD              = b'\x2B\x06\x01\x04\x01\x83\xA8\x78\x05\x8D\x6B'